Summary:    Icons and pictures
Name:       system-logos
Version:    1.0.7
Release:    1%{?dist}
URL:        https://cloud.tencent.com/product/ts
Source0:    %{name}-%{version}.tar.gz
Source1:    00_custom_background.gschema.override
License:    GPLv2 and LGPLv2+
BuildArch:  noarch

Requires(post): coreutils
Requires:   glib2

Provides:   tencentos-logos =  %{version}-%{release}

%description
This package provides system related picture.

%package httpd
Summary:	icons and pictures used by httpd
BuildArch:	noarch
Provides:	system-logos(httpd-logo-ng)

%description httpd
This package provides httpd related picture.



%prep
%autosetup

%post
rm /usr/share/glib-2.0/schemas/gschemas.compiled
glib-compile-schemas /usr/share/glib-2.0/schemas > /dev/null 2>&1

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{_datadir}/plymouth/themes/charge/
for i in plymouth/charge/* ; do
    install -p -m 644 $i %{buildroot}%{_datadir}/plymouth/themes/charge/
done

mkdir -p %{buildroot}%{_datadir}/pixmaps/

for i in pixmaps/* ; do
  install -p -m 644 ${i} %{buildroot}%{_datadir}/pixmaps/
done

mkdir -p %{buildroot}%{_datadir}/backgrounds/TencentOS/

for i in backgrounds/* ; do
  install -p -m 644 ${i} %{buildroot}%{_datadir}/backgrounds/TencentOS/
done

mkdir -p %{buildroot}%{_datadir}/glib-2.0/schemas/
install -p -m 644 %{SOURCE1} %{buildroot}%{_datadir}/glib-2.0/schemas/

# for httpd subpackage
mkdir -p %{buildroot}%{_datadir}/tencentos-testpage/

cp -a testpage/index.html %{buildroot}%{_datadir}/tencentos-testpage/

ln -s tencentos-testpage %{buildroot}%{_datadir}/testpage

mkdir -p %{buildroot}%{_datadir}/anaconda/pixmaps
mkdir -p %{buildroot}%{_datadir}/anaconda/boot

for f in anaconda/* ; do
    install -p -m 644 ${f} %{buildroot}%{_datadir}/anaconda/pixmaps
done

for f in boot/* ; do
    install -p -m 644 ${f} %{buildroot}%{_datadir}/anaconda/boot
done



%files
%defattr(-,root,root,-)
%{_datadir}/plymouth/themes/charge/*
%{_datadir}/anaconda/pixmaps
%{_datadir}/backgrounds/*
%{_datadir}/glib-2.0/schemas/*
%{_datadir}/anaconda/boot
%{_datadir}/pixmaps/tencentos-gdm-logo.png

%files httpd
%dir %{_datadir}/tencentos-testpage
%{_datadir}/testpage
%{_datadir}/tencentos-testpage/index.html
%{_datadir}/pixmaps/poweredby.png



%changelog
* Wed Mar 05 2025 Fanjun Kong <fanjunkong@tencent.com> - 1.0.7-1
- fix greeter-logo size

* Wed Feb 12 2025 Fanjun Kong <fanjunkong@tencent.com> - 1.0.6-1
- add tencentos wallpaper

* Thu Feb 01 2024 Fanjun Kong <fanjunkong@tencent.com> - 1.0.5-1
- Add syslinux-splash.png

* Thu Nov 16 2023 Xin Cheng <denisecheng@tencent.com> - 1.0.4-1
- upgrade tarball to fix gdm-logo name error

* Thu Mar 09 2023 Miaojun Dong <zoedong@tencent.com> - 1.0.3-3
- update index.html

* Tue Mar 07 2023 Miaojun Dong <zoedong@tencent.com> - 1.0.3-2
- rebrand for TencentOS

* Thu Dec 15 2022 Xiaojie Chen <jackxjchen@tencent.com> - 1.0.3-1
- add opencloudos logos for anaconda

* Thu Nov 10 2022 Zhao Zhen <jeremiazhao@tencent.com> - 1.0.2-1
- added opencloudos-gdm-logo.png

* Thu Nov 10 2022 Zhao Zhen <jeremiazhao@tencent.com> - 1.0.1-1
- added httpd releated icons

* Thu Nov 10 2022 Zhao Zhen <jeremiazhao@tencent.com> - 1.0.0-1
- initial build
- only added plymouth theme pictures
